5.12. Die Festlegung des Arbeitsverzeichnisses
Zurück | Kapitel 5. Die Konfiguration des Makefile | Weiter

## 5.12. Die Festlegung des Arbeitsverzeichnisses

Jeder Port wird extrahiert in ein Arbeitsverzeichnis, welches beschreibbar sein muss. Das Ports-System gibt als Standard vor, dass die `DISTFILES` in einem Verzeichnis namens `${DISTNAME}` entpackt werden. Mit anderen Worten, wenn Sie:

PORTNAME= foo PORTVERSION= 1.0

festgelegt haben, dann enthalten die Distributions-Dateien des Ports ein Verzeichnis auf oberster Ebene, `foo-1.0`, und der Rest der Dateien befindet sich unter diesem Verzeichnis.

Es gibt eine Reihe von Variablen, die Sie überschreiben können, falls dies nicht der Fall sein sollte.

### 5.12.1. `WRKSRC`

Diese Variable listet den Namen des Verzeichnisses, welches erstellt wird, wenn die Distfiles der Applikation extrahiert werden. Wenn unser vorheriges Beispiel in einem Verzeichnis namens `foo` (und nicht `foo-1.0`) extrahiert wurde, würden Sie schreiben:

WRKSRC= ${WRKDIR}/foo

oder möglicherweise

WRKSRC= ${WRKDIR}/${PORTNAME}

### 5.12.2. `NO_WRKSUBDIR`

Wenn der Port überhaupt nicht in einem Unterverzeichnis extrahiert wird, sollten Sie dies mit dem Setzen von `NO_WRKSUBDIR` anzeigen.

NO_WRKSUBDIR= yes

Zurück | Nach oben | Weiter
5.11. Makefile-Optionen | Zum Anfang | 5.13. Konfliktbehandlung

Wenn Sie Fragen zu FreeBSD haben, schicken Sie eine E-Mail an <de-bsd-questions@de.FreeBSD.org>.
Wenn Sie Fragen zu dieser Dokumentation haben, schicken Sie eine E-Mail an <de-bsd-translators@de.FreeBSD.org>.